﻿''Copyright Caitlin Oxley 2009
''Released under BSD License

Public Class html

    Private Sub QuitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuitToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub OpenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenToolStripMenuItem.Click
        Dim OpenFileDialog As New OpenFileDialog
        OpenFileDialog.InitialDirectory = My.Computer.FileSystem.SpecialDirectories.MyDocuments
        OpenFileDialog.Filter = "HTML Documents |*.htm*|All Files (*.*)|*.*"
        If (OpenFileDialog.ShowDialog(Me) = System.Windows.Forms.DialogResult.OK) Then
            Dim FileName As String = OpenFileDialog.FileName
            Dim content As String = ""
            Dim read As New System.IO.StreamReader(FileName)
            Do While read.Peek > 1
                content = content + read.ReadLine + Environment.NewLine
            Loop
            read.Close()
            txtEditArea.Text = content
        End If
    End Sub

    Private Sub SaveToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveToolStripMenuItem.Click
        Dim SaveFileDialog As New SaveFileDialog
        SaveFileDialog.InitialDirectory = My.Computer.FileSystem.SpecialDirectories.MyDocuments
        SaveFileDialog.Filter = "HTML Document (*.htm)|*.htm|HTML Document (*.html)|*.html|All Files (*.*)|*.*"
        If (SaveFileDialog.ShowDialog(Me) = System.Windows.Forms.DialogResult.OK) Then
            Dim FileName As String = SaveFileDialog.FileName
            Dim write As New System.IO.StreamWriter(FileName)
            Dim oread As New System.IO.StringReader(txtEditArea.Text)
            Do While oread.Peek > -1
                Dim temp As String = ""
                temp = oread.ReadLine
                write.WriteLine(temp)
            Loop
            write.Close()
            oread.Close()
        End If
    End Sub

    Private Sub NewToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NewToolStripMenuItem.Click
        txtEditArea.Text = ""
        Dim read As New System.IO.StreamReader("skeleton.txt")
        Do While read.Peek > 1
            txtEditArea.Text = txtEditArea.Text + read.ReadLine + Environment.NewLine
        Loop
        read.Close()
    End Sub

    Private Sub ToolStripButtonB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonB.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<b></b>"
    End Sub

    Private Sub ToolStripButtonI_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonI.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<i></i>"
    End Sub

    Private Sub ToolStripButtonS_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonS.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<strike></strike>"
    End Sub

    Private Sub ToolStripButtonU_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonU.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<u></u>"
    End Sub

    Private Sub H1ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H1ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h1></h1>"
    End Sub

    Private Sub H2ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H2ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h2></h2>"
    End Sub

    Private Sub H3ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H3ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h3></h3>"
    End Sub

    Private Sub H4ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H4ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h4></h4>"
    End Sub

    Private Sub H5ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H5ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h5></h5>"
    End Sub

    Private Sub H6ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles H6ToolStripMenuItem.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<h6></h6>"
    End Sub

    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<img src="""" alt="""">"
    End Sub

    Private Sub ToolStripButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton2.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<a href=""""></a>"
    End Sub

    Private Sub ToolStripButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton3.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<br>"
    End Sub

    Private Sub ToolStripButton5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton5.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<p>"
    End Sub

    Private Sub ToolStripButton4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton4.Click
        txtEditArea.Text = txtEditArea.Text + Environment.NewLine + "<hr>"
    End Sub

    Private Sub PreviewWebpageToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PreviewWebpageToolStripMenuItem.Click
        Dim write As New System.IO.StreamWriter("temp4prv.htm")
        Dim oread As New System.IO.StringReader(txtEditArea.Text)
        Do While oread.Peek > -1
            Dim temp As String = ""
            temp = oread.ReadLine
            write.WriteLine(temp)
        Loop
        write.Close()
        frmPreview.Show()
    End Sub

    Private Sub CustomToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomToolStripMenuItem.Click
        Dim read As New System.IO.StreamReader("styles\custom.txt")
        Do While read.Peek > 1
            txtEditArea.Text = txtEditArea.Text + read.ReadLine + Environment.NewLine
        Loop
        read.Close()
    End Sub

    Private Sub LargerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LargerToolStripMenuItem.Click
        Dim newsize As Integer = txtEditArea.Font.Size + 2
        txtEditArea.Font = New Font(txtEditArea.Font.FontFamily, newsize, txtEditArea.Font.Style)
    End Sub

    Private Sub SmallerToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SmallerToolStripMenuItem.Click
        Dim newsize As Integer = txtEditArea.Font.Size - 2
        txtEditArea.Font = New Font(txtEditArea.Font.FontFamily, newsize, txtEditArea.Font.Style)
    End Sub

    Private Sub ToolStripMenuItem2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem2.Click
        Dim read As New System.IO.StreamReader("styles\desert.txt")
        Do While read.Peek > 1
            txtEditArea.Text = txtEditArea.Text + read.ReadLine + Environment.NewLine
        Loop
        read.Close()
    End Sub

    Private Sub ToolStripMenuItem3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem3.Click
        Dim read As New System.IO.StreamReader("styles\storm.txt")
        Do While read.Peek > 1
            txtEditArea.Text = txtEditArea.Text + read.ReadLine + Environment.NewLine
        Loop
        read.Close()
    End Sub

    Private Sub ToolStripMenuItem4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem4.Click
        Dim read As New System.IO.StreamReader("styles\clean.txt")
        Do While read.Peek > 1
            txtEditArea.Text = txtEditArea.Text + read.ReadLine + Environment.NewLine
        Loop
        read.Close()
    End Sub

    Private Sub ToolStripButton6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton6.Click
        frmFont.Show()
    End Sub
End Class